package com.bonus.canteen.core.customer.metadata.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("人脸算法元数据模型")
public class FaceMetadataModel {
   @ApiModelProperty("旷视算法3288模型地址")
   private String megvii3288FaceUrl;
   @ApiModelProperty("是否启用旷视3288算法 默认:关闭")
   private String ifUseMegvii3288FaceUrl;
   @ApiModelProperty("是否从设备获取旷视3288特征值 默认:关闭")
   private String ifGetMegviiFeature3288Device;
   @ApiModelProperty("旷视算法3568模型地址")
   private String megvii3568FaceUrl;
   @ApiModelProperty("是否启用旷视3568算法 默认:关闭")
   private String ifUseMegvii3568FaceUrl;
   @ApiModelProperty("是否从设备获取旷视3568特征值 默认:关闭")
   private String ifGetMegviiFeature3568Device;
   @ApiModelProperty("旷视算法1109模型地址")
   private String megvii1109FaceUrl;
   @ApiModelProperty("是否启用旷视1109算法 默认:关闭")
   private String ifUseMegvii1109FaceUrl;
   @ApiModelProperty("是否无需提取特征值，设备仅使用照片 默认:关闭")
   private String ifNoneMegviiFeatureOnlyDevicePhoto;
   @ApiModelProperty("宇泛算法地址")
   private String gateMachineUrl;
   @ApiModelProperty("是否启用宇泛算法")
   private String ifUseGateMachineUrl;
   @ApiModelProperty("宇泛闸机秘钥")
   private String gateMachinePwd;
   @ApiModelProperty("是否启用比特大陆算法")
   private String ifUseBitFaceBoxUrl;
   @ApiModelProperty("比特大陆算法盒子地址(json数组)")
   private String bitFaceBoxUrl;
   @ApiModelProperty("旷视算法地址")
   private String megviiFaceUrl;
   @ApiModelProperty("是否启用旷视算法")
   private String ifUseMegviiFaceUrl;
   @ApiModelProperty("旷视算法版本,多个数据用,分隔")
   private String openMegviiFaceVersion;

   public FaceMetadataModel() {
      this.setIfUseBitFaceBoxUrl("2");
      this.setIfUseGateMachineUrl("2");
      this.setIfUseMegvii3288FaceUrl("2");
      this.setIfGetMegviiFeature3288Device("2");
      this.setIfUseMegvii3568FaceUrl("2");
      this.setIfGetMegviiFeature3568Device("2");
      this.setIfUseMegvii1109FaceUrl("2");
      this.setIfNoneMegviiFeatureOnlyDevicePhoto("2");
   }

   public String getMegvii3288FaceUrl() {
      return this.megvii3288FaceUrl;
   }

   public String getIfUseMegvii3288FaceUrl() {
      return this.ifUseMegvii3288FaceUrl;
   }

   public String getIfGetMegviiFeature3288Device() {
      return this.ifGetMegviiFeature3288Device;
   }

   public String getMegvii3568FaceUrl() {
      return this.megvii3568FaceUrl;
   }

   public String getIfUseMegvii3568FaceUrl() {
      return this.ifUseMegvii3568FaceUrl;
   }

   public String getIfGetMegviiFeature3568Device() {
      return this.ifGetMegviiFeature3568Device;
   }

   public String getMegvii1109FaceUrl() {
      return this.megvii1109FaceUrl;
   }

   public String getIfUseMegvii1109FaceUrl() {
      return this.ifUseMegvii1109FaceUrl;
   }

   public String getIfNoneMegviiFeatureOnlyDevicePhoto() {
      return this.ifNoneMegviiFeatureOnlyDevicePhoto;
   }

   public String getGateMachineUrl() {
      return this.gateMachineUrl;
   }

   public String getIfUseGateMachineUrl() {
      return this.ifUseGateMachineUrl;
   }

   public String getGateMachinePwd() {
      return this.gateMachinePwd;
   }

   public String getIfUseBitFaceBoxUrl() {
      return this.ifUseBitFaceBoxUrl;
   }

   public String getBitFaceBoxUrl() {
      return this.bitFaceBoxUrl;
   }

   public String getMegviiFaceUrl() {
      return this.megviiFaceUrl;
   }

   public String getIfUseMegviiFaceUrl() {
      return this.ifUseMegviiFaceUrl;
   }

   public String getOpenMegviiFaceVersion() {
      return this.openMegviiFaceVersion;
   }

   public void setMegvii3288FaceUrl(final String megvii3288FaceUrl) {
      this.megvii3288FaceUrl = megvii3288FaceUrl;
   }

   public void setIfUseMegvii3288FaceUrl(final String ifUseMegvii3288FaceUrl) {
      this.ifUseMegvii3288FaceUrl = ifUseMegvii3288FaceUrl;
   }

   public void setIfGetMegviiFeature3288Device(final String ifGetMegviiFeature3288Device) {
      this.ifGetMegviiFeature3288Device = ifGetMegviiFeature3288Device;
   }

   public void setMegvii3568FaceUrl(final String megvii3568FaceUrl) {
      this.megvii3568FaceUrl = megvii3568FaceUrl;
   }

   public void setIfUseMegvii3568FaceUrl(final String ifUseMegvii3568FaceUrl) {
      this.ifUseMegvii3568FaceUrl = ifUseMegvii3568FaceUrl;
   }

   public void setIfGetMegviiFeature3568Device(final String ifGetMegviiFeature3568Device) {
      this.ifGetMegviiFeature3568Device = ifGetMegviiFeature3568Device;
   }

   public void setMegvii1109FaceUrl(final String megvii1109FaceUrl) {
      this.megvii1109FaceUrl = megvii1109FaceUrl;
   }

   public void setIfUseMegvii1109FaceUrl(final String ifUseMegvii1109FaceUrl) {
      this.ifUseMegvii1109FaceUrl = ifUseMegvii1109FaceUrl;
   }

   public void setIfNoneMegviiFeatureOnlyDevicePhoto(final String ifNoneMegviiFeatureOnlyDevicePhoto) {
      this.ifNoneMegviiFeatureOnlyDevicePhoto = ifNoneMegviiFeatureOnlyDevicePhoto;
   }

   public void setGateMachineUrl(final String gateMachineUrl) {
      this.gateMachineUrl = gateMachineUrl;
   }

   public void setIfUseGateMachineUrl(final String ifUseGateMachineUrl) {
      this.ifUseGateMachineUrl = ifUseGateMachineUrl;
   }

   public void setGateMachinePwd(final String gateMachinePwd) {
      this.gateMachinePwd = gateMachinePwd;
   }

   public void setIfUseBitFaceBoxUrl(final String ifUseBitFaceBoxUrl) {
      this.ifUseBitFaceBoxUrl = ifUseBitFaceBoxUrl;
   }

   public void setBitFaceBoxUrl(final String bitFaceBoxUrl) {
      this.bitFaceBoxUrl = bitFaceBoxUrl;
   }

   public void setMegviiFaceUrl(final String megviiFaceUrl) {
      this.megviiFaceUrl = megviiFaceUrl;
   }

   public void setIfUseMegviiFaceUrl(final String ifUseMegviiFaceUrl) {
      this.ifUseMegviiFaceUrl = ifUseMegviiFaceUrl;
   }

   public void setOpenMegviiFaceVersion(final String openMegviiFaceVersion) {
      this.openMegviiFaceVersion = openMegviiFaceVersion;
   }
}
